import { DoifColorType } from '../../styles/themes/DoifThemeProps';
interface StyledInputContainerProps {
    variant: 'outline' | 'underline';
    color: DoifColorType;
    width: string | number;
    disabled: boolean;
    isFrontIcon: boolean;
    isBackIcon: boolean;
}
/** Input 컴포넌트의 스타일 */
export declare const StyledInputContainer: import("styled-components").StyledComponent<"div", import("styled-components").DefaultTheme, StyledInputContainerProps, never>;
/** variant === 'outline' 스타일 */
export declare const OutlineInputStyle: import("styled-components").FlattenInterpolation<import("styled-components").ThemedStyledProps<StyledInputContainerProps, import("styled-components").DefaultTheme>>;
/** variant === 'underline' 스타일 */
export declare const UnderlineInputStyle: import("styled-components").FlattenInterpolation<import("styled-components").ThemedStyledProps<StyledInputContainerProps, import("styled-components").DefaultTheme>>;
export declare const IconContainerStyle: import("styled-components").FlattenInterpolation<import("styled-components").ThemedStyledProps<StyledInputContainerProps, import("styled-components").DefaultTheme>>;
export declare const FrontIconContainerStyle: import("styled-components").FlattenInterpolation<import("styled-components").ThemedStyledProps<StyledInputContainerProps, import("styled-components").DefaultTheme>>;
export declare const BackIconContainerStyle: import("styled-components").FlattenInterpolation<import("styled-components").ThemedStyledProps<StyledInputContainerProps, import("styled-components").DefaultTheme>>;
export {};
