import React from 'react';
import './prism-imports';
import { PrismThemes } from './MarkdownPreview.style';
import { DoifColorType } from '../../styles/themes/DoifThemeProps';
interface MarkdownPreviewProps {
    /** 마크다운 내용 */
    markdown: string;
    /** 마크다운 코드 스타일 테마 */
    prismTheme: PrismThemes;
    /** 마크다운 색상 */
    color: DoifColorType;
}
declare const _default: React.MemoExoticComponent<{
    ({ markdown, prismTheme, color, }: MarkdownPreviewProps): JSX.Element;
    defaultProps: {
        prismTheme: string;
        color: string;
    };
}>;
export default _default;
