import React from 'react';
interface ModalProps {
    /** `true`: 화면에 나타남, `false`: 화면에서 사라짐 */
    visible: boolean;
    /** `Modal` 컴포넌트 상단에 표시되는 글자 */
    title?: string;
    /** `Modal` 컴포넌트의 z-index 속성 */
    zIndex: number;
    /** `Modal` 컴포넌트의 넓이 속성 */
    width: string;
    /** `Modal` 컴포넌트에 넣을 커스텀한 ReactNode */
    children?: React.ReactNode;
}
declare const _default: React.MemoExoticComponent<{
    ({ visible, title, zIndex, width, children }: ModalProps): JSX.Element | null;
    defaultProps: {
        zIndex: number;
        width: string;
    };
}>;
export default _default;
