import { DoifColorType, DoifSizeType, DoifVariantType } from '../../styles/themes/DoifThemeProps';
interface StyledButtonContainerProps {
    disabled: boolean;
    color: DoifColorType;
    variant: DoifVariantType;
    size: DoifSizeType;
    iconLocation: string;
    iconOnly: boolean;
    width: string | number;
}
/** Button 컴포넌트의 스타일 */
export declare const StyledButtonContainer: import("styled-components").StyledComponent<"div", import("styled-components").DefaultTheme, StyledButtonContainerProps, never>;
/** variant === 'fill' 인 버튼 스타일 */
export declare const FillButtonStyle: import("styled-components").FlattenInterpolation<import("styled-components").ThemedStyledProps<StyledButtonContainerProps, import("styled-components").DefaultTheme>>;
/** variant === 'outline' 인 버튼 스타일 */
export declare const OutlineButtonStyle: import("styled-components").FlattenInterpolation<import("styled-components").ThemedStyledProps<StyledButtonContainerProps, import("styled-components").DefaultTheme>>;
/** variant === 'ghost' 인 버튼 스타일 */
export declare const GhostButtonStyle: import("styled-components").FlattenInterpolation<import("styled-components").ThemedStyledProps<StyledButtonContainerProps, import("styled-components").DefaultTheme>>;
/** size === 'small' 인 버튼 스타일 */
export declare const SmallButtonStyle: import("styled-components").FlattenInterpolation<import("styled-components").ThemedStyledProps<StyledButtonContainerProps, import("styled-components").DefaultTheme>>;
/** size === 'medium' 인 버튼 스타일 */
export declare const MediumButtonStyle: import("styled-components").FlattenInterpolation<import("styled-components").ThemedStyledProps<StyledButtonContainerProps, import("styled-components").DefaultTheme>>;
/** size === 'large' 인 버튼 스타일 */
export declare const LargeButtonStyle: import("styled-components").FlattenInterpolation<import("styled-components").ThemedStyledProps<StyledButtonContainerProps, import("styled-components").DefaultTheme>>;
export {};
