import React from 'react';
import { DoifDataProps } from '../../props/DoifCommonProps';
interface PaginationProps {
    rowNumber: number;
    pageNumber: number;
    canPreviousPage: boolean;
    canNextPage: boolean;
    pageOptions: number[];
    pageCount: number;
    gotoPage: (updater: number | ((pageIndex: number) => number)) => void;
    nextPage: () => void;
    previousPage: () => void;
    setPageSize: (pageSize: number) => void;
    pageIndex: number;
    pageSize: number;
    pageSizeArray: DoifDataProps[];
    loading: boolean;
}
declare const _default: React.MemoExoticComponent<({ rowNumber, pageNumber, canPreviousPage, canNextPage, pageOptions, pageCount, gotoPage, nextPage, previousPage, setPageSize, pageIndex, pageSize, pageSizeArray, loading, }: PaginationProps) => JSX.Element>;
export default _default;
